Skip to main content
GET
/
agent
/
v1
/
agents
/
{id}
curl -X GET "https://api.case.dev/agent/v1/agents/%3Cstring%3E" \ -H "Authorization: Bearer $CASEDEV_API_KEY"
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "instructions": "<string>",
  "model": "<string>",
  "vaultIds": [
    "<string>"
  ],
  "enabledTools": [
    "<string>"
  ],
  "disabledTools": [
    "<string>"
  ],
  "sandbox": {},
  "isActive": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

id
string
required

Agent ID

Response

Agent details

id
string
name
string
description
string | null
instructions
string
model
string
vaultIds
string[] | null
enabledTools
string[] | null
disabledTools
string[] | null
sandbox
object
isActive
boolean
createdAt
string<date-time>
updatedAt
string<date-time>